Update Asset Access
curl --request PUT \
--url https://app.plugchoice.com/api/v3/sites/{site}/teams/{team}/asset-access \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"access_of_assets": "<string>",
"accessible_assets": [
{
"accessible_assets[].asset_type": "<string>",
"accessible_assets[].asset_id": 123
}
]
}
'import requests
url = "https://app.plugchoice.com/api/v3/sites/{site}/teams/{team}/asset-access"
payload = {
"access_of_assets": "<string>",
"accessible_assets": [
{
"accessible_assets[].asset_type": "<string>",
"accessible_assets[].asset_id": 123
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
access_of_assets: '<string>',
accessible_assets: [
{
'accessible_assets[].asset_type': '<string>',
'accessible_assets[].asset_id': 123
}
]
})
};
fetch('https://app.plugchoice.com/api/v3/sites/{site}/teams/{team}/asset-access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}Team Access
Update Asset Access
PUT
/
v3
/
sites
/
{site}
/
teams
/
{team}
/
asset-access
Update Asset Access
Modifies a team’s asset-level access for the specified location. You can grant full access to all assets or restrict access to specific assets.
The UUID of the location.
The UUID of the team.
The access level. Must be
full_access or limited_access.Response
A confirmation message indicating asset access was modified successfully.
⌘I